#!/usr/bin/env python
# -*- coding: utf-8 -*-

import os
import time

from pynamodb.attributes import ListAttribute, UnicodeAttribute

from db_paribhasha.credentials import DYNAMO_STUDIO_VIZ_DB, DYNAMO_REGION_VIZ
from db_paribhasha.base_models.pynamo_base_model import PynamoBaseModel


class StudioVisualisation(PynamoBaseModel):
    """
    Dynamo DB model for the studio visualisation table 
    containing latest charts
    """
    class Meta(object):
        table_name = DYNAMO_STUDIO_VIZ_DB
        region = DYNAMO_REGION_VIZ
        aws_access_key_id = None
        aws_secret_access_key = None
        aws_session_token = None

    studio_viz_id = UnicodeAttribute(null=False,
                                     hash_key=True,
                                     attr_name='studio-viz-id')
    chart_info = ListAttribute(null=False)
    status = UnicodeAttribute(null=False)

    # this message will contain any external error message
    message = UnicodeAttribute(null=True)
