#!/usr/bin/env python
# -*- coding: utf-8 -*-

from builtins import object
import os
import time

from db_paribhasha import PynamoBaseModel, credentials
from pynamodb.attributes import (JSONAttribute, NumberAttribute,
                                 UnicodeAttribute)


class UserProfile(PynamoBaseModel):
    """
    Dynamo DB model for User Profile
    """

    class Meta(object):
        table_name = credentials.DYNAMO_USER_PROFILE_TABLE
        region = os.getenv('REGION')

    user_id = UnicodeAttribute(hash_key=True)
    created_ts = NumberAttribute(
        null=False, range_key=True, default=int(round(time.time() * 1000)))
    metadata_info = JSONAttribute(null=True)
