import os
import boto3
import botocore
import db_paribhasha.credentials as creds
import db_paribhasha.db_constants as constants
import db_paribhasha.consts_errs as const_errs
from db_paribhasha.error_handler import OperationNotPerformedError

def download_cert():
    """
    this function downloads root certificate from s3 bucket if it
    doesn't exit.

    """

    file_exist = os.path.isfile(constants.CERTIFICATE_PATH + creds.DATABASE_CERTIFICATE)

    if not file_exist :
        try:
            s3 = boto3.resource('s3')
        except:
            raise OperationNotPerformedError(const_errs.err_S3OperationError_code)
            
        try:
            s3.Bucket(creds.PRIVATE_DATA_BUCKET).download_file(creds.DATABASE_CERTIFICATE, constants.CERTIFICATE_PATH + creds.DATABASE_CERTIFICATE)
        except botocore.exceptions.ClientError as e:
            if e.response['Error']['Code'] == "404":
                print("The object does not exist.")
            else:
                return False
    return True
